<?php

function my_load_scripts() {
  wp_enqueue_style( 'CSS_quivers',  plugin_dir_url(__FILE__) . '/assets/css/quivers.css');
  wp_enqueue_script( 'validation_quivers',plugin_dir_url(__FILE__) . '/assets/js/validation.js', true);
}
add_action('admin_enqueue_scripts', 'my_load_scripts');


function add_theme_scripts() {
  wp_enqueue_script( 'captcha','https://www.google.com/recaptcha/api.js');
  wp_enqueue_script( 'captcha_quivers',plugin_dir_url(__FILE__) . '/assets/js/captcha.js', true);
  wp_enqueue_style( 'frontend_quivers',  plugin_dir_url(__FILE__) . '/assets/css/frontend.css');

}
add_action( 'wp_footer', 'add_theme_scripts' );

function so_31413975_extra_checkout_fields(){ 
  $checkout = WC()->checkout(); 
?>

  <input type="hidden" id="ip_address" value="<?php echo $_SERVER["REMOTE_ADDR"]; ?>"/>
    <div class="g-recaptcha" data-sitekey="<?php  echo $_SESSION['site_keys']['site_key']?$_SESSION['site_keys']['site_key']:'SITE_KEY_NOT_THERE'?>" data-badge="inline" data-size="invisible" data-callback="setResponse"></div>
    <?php 
    
 }
add_action( 'woocommerce_checkout_before_order_review' ,'so_31413975_extra_checkout_fields' );

add_filter( 'woocommerce_order_button_html', 'custom_order_button_html');
function custom_order_button_html( $button ) {
    // HERE your Javascript Event
    $js_event = "fbq('track', 'AddPaymentInfo');";
    // HERE you make changes (Replacing the code of the button):
    $button = '<input type="button" data-expired-callback="recaptchaExpired" onClick="captchasubmit();" name="woocommerce_checkout_place_order" id="place_order" value="Place order" style="padding-bottom: 35px;">';
    return $button;
}

  ?>